#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <iomanip>

using namespace std;

int main()
{
    vector<double> zarada, p, p_copy, a;
    double p1, a1, pomnozi, zarada1 = 0;
    long i, j, n;
    cin >> n;
    for(i = 0; i < n; i++)
    {
        cin >> a1 >> p1;
        a.push_back(a1);
        p.push_back(p1);
        p_copy.push_back(p1);
    }
    sort(p.begin(), p.end());
    for(i = n - 1; i >= 0; i--)
    {
        for(j = 0; j < n; j++)
        {
            if(p_copy[j] == p[i])
            {
                zarada1 = zarada1 + a[j];
            }
        }
        a1 = p[i] / 100;
        pomnozi = zarada1 * a1;
        zarada.push_back(pomnozi);
    }
    sort(zarada.begin(), zarada.end());
    cout << setprecision(5) << fixed << showpoint << zarada[zarada.size() - 1];
    return 0;
}